# Get Agents The customer must choose an Agent from within their own system to act as Fin. When we tell the customer about responses from Fin, the author ID will be the agent chosen to act as Fin. Endpoint: POST /get_agents Version: 0.0.1 Security: BearerAuth ## Response 200 fields (application/json): - `data` (array) - `data.id` (string, required) Unique identifier for the user in your system Example: "agent_123456" - `data.user_type` (string, required) Type of user Enum: "agent" - `data.name` (string, required) User's display name Example: "Jane Doe" - `data.email` (string, required) User's email address Example: "jane.doe@example.com" - `data.photo_url` (string,null) URL to user's avatar/profile picture (displayed in Fin Messenger) Example: "https://example.com/avatars/jane.jpg" - `data.alias_name` (string,null) Agent's display alias_name (shown to end-users instead of real name) Example: "Support Jane" - `error` (object) The error returned by the API. This is an RFC 7807 problem details object: . - `error.type` (string) A URI reference that identifies the problem type. - `error.title` (string) A short, human-readable summary of the problem type. - `error.status` (integer) The HTTP status code generated by the origin server for this occurrence of the problem. - `error.detail` (string) A human-readable explanation specific to this occurrence of the problem. - `error.instance` (string) A URI reference that identifies the specific occurrence of the problem.